# Display Card Details to the Cardholder
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/display-card-details-to-cardholder/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving the PAN number and expiry date from the CMS for a specified card contract.

**Sample request**

`GET /cards/70001?fields=cardContractNumber,cardExpiryDate`

**Sample response**

`200`  

`ETag: "7fedf39c3c2952a62821de4b480d1d6f"`

```JSON
{
    "cardContractNumber": "123456______3456",
    "cardExpiryDate": "3004",
}
```

## Test case -- Fail -- Provide incorrect cardContractId {#test-case--fail--provide-incorrect-cardcontractid}

This test case describes an attempt to retrieve the PAN number and expiry date from the CMS for a specified card contract which is not a card contract.

For this test case, use the following information in the request:

|   Path parameter   | Available value |
|--------------------|-----------------|
| `card_contract_id` | 101222          |

**Sample request**

`GET /cards/101222?fields=cardContractNumber,cardExpiryDate`

**Sample response**

`400`

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "MASTERCARD PROCESSING",
        "ReasonCode": "NOT_CARD_CONTRACT",
        "Description": "Contract with id 101222 is not a card.",
        "Recoverable": false
      }
    ]
  }
}
```

